#ifndef ISTOMPOBSERVER_H
#define ISTOMPOBSERVER_H

#include <QString>

namespace interface {
class iStompObserver {
    virtual void connectConfirmation(bool success, int version);
    virtual void sendConfirmation(bool success);
    virtual void subscribeConfirmation(bool success);
    virtual void receiveIndication(int id, QString destination, QString body);
    virtual void disconnectConfirmation();
    virtual void disconnectIndication();
};
}
#endif // ISTOMPOBSERVER_H
